WordPress.org

Support

Support » Plugins and Hacks » [Plugin: OpenID] Solution for conflict with other plugins…

[Plugin: OpenID] Solution for conflict with other plugins…

  • jameslafferty

    @jameslafferty

    The issue is the call to restore_include_path on line 35 of open_id.php. By doing something like this:

    $old_include_path = get_include_path();
    set_include_path( $openid_include_path . PATH_SEPARATOR . $old_include_path );
    require_once 'common.php';
    require_once 'consumer.php';
    require_once 'admin_panels.php';
    require_once 'comments.php';
    require_once 'login.php';
    require_once 'server.php';
    require_once 'store.php';
    set_include_path( $old_include_path);

    instead, you can avoid conflicts with any plugins that might depend on their own changes to the include path. Please hit me back if I can be of any help.

    Cheers,

    James

    http://wordpress.org/extend/plugins/openid/

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: OpenID] Solution for conflict with other plugins…’ is closed to new replies.